summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIlya Tumaykin <itumaykin@gmail.com>2016-12-08 11:56:34 +0300
committerDavid Seifert <soap@gentoo.org>2016-12-11 00:03:30 +0100
commit4ef22bc7947600a323af2ecb34470fb31f0be18e (patch)
tree721c9f5c1e92ead198a0e44c6c0cab1e659b807b
parentdev-python/rebulk: support both https and git repo URIs in 9999 (diff)
downloadgentoo-4ef22bc7947600a323af2ecb34470fb31f0be18e.tar.gz
gentoo-4ef22bc7947600a323af2ecb34470fb31f0be18e.tar.bz2
gentoo-4ef22bc7947600a323af2ecb34470fb31f0be18e.zip
dev-python/guessit: verbump to 2.1.1
Package-Manager: portage-2.3.3
-rw-r--r--dev-python/guessit/Manifest1
-rw-r--r--dev-python/guessit/guessit-2.1.1.ebuild49
2 files changed, 50 insertions, 0 deletions
diff --git a/dev-python/guessit/Manifest b/dev-python/guessit/Manifest
index e03b1b909af..b917c253ca9 100644
--- a/dev-python/guessit/Manifest
+++ b/dev-python/guessit/Manifest
@@ -1,3 +1,4 @@
DIST guessit-1.0.3.tar.gz 1200782 SHA256 6de9149b663b415ebc1f4ab9f12eb624ca859cf13cc1a491382f56619f33f59b SHA512 be427d3ac5b598fe14b26b4fa41c3bd9c0cc946df85381c61be9180275b54f6beac9d433ba781f4351bf94eba5a53b1097d8503268efd9019d50beb60f92cfcb WHIRLPOOL 31b2bb0e57a395f38f7ebe2420945cf00e00149a8345db245c3978cebb6366b53b8b1eae89838d4729e1e8c15abef2f4c8c91f64e5eb3e6f36a56f54de715546
DIST guessit-2.0.5.tar.gz 74464 SHA256 626e0024c5cca9b84883b65246e4f238e3f39064664486f69f086c853a63ff61 SHA512 6d02df5caebc0373ea0609b2ef4fa0b2ca2bedce62f5df3f1bdcf84808c09aff57f1c043704effedfb3ca4dbd4235f5a84c5580b1f2839f79933b40342309d2a WHIRLPOOL da5da3ac6a27f96714683acafe9664c316c522290cdd01308097c42fd55e8df16f735e54938c1e8b7b3c2531426d00b60c5361aedd8da8eea597fdc27a22b858
DIST guessit-2.1.0.tar.gz 77587 SHA256 a534a46bef3bbac7b313a55744860a9ddd5b7fae6abb6f6ae8bbace2b3e973b1 SHA512 0acdfa75dab709cfab00772536404503865554f060052ddb05c120d019e4c70833a4af7a7a7401ca608a65a0e8927e61e11d10878ba77b51fc8f99b3950e2ec0 WHIRLPOOL eafc863bddda4f63a22b9088ae7eba3d9ce7c56f82b25d5e0a6c84e6c20a877906d651acf04cd9d5243ebd32ac73064c2e96c2ae83226fbe814e2831cebaf590
+DIST guessit-2.1.1.tar.gz 86447 SHA256 cdb51ced109e05318f35dc5ee1c50182a85edd800e86de77ec96eb68a0a99391 SHA512 61ace43bacf4bf2289bd1f0cd5105080b8302d92be8bda77942355594e07db14b594c73e4bf42bd14840f9f9723d602a38cd443cc3e1fabdca335d364fa97e2f WHIRLPOOL 885ee697f4929523527747d3ce5c0b548c6bcfe34c0e590bb1b8e5e4530ae4be6c0264a62dad83c5e2356a9063a9930ea3216f44b6df1b73000fd41c45b0e905
diff --git a/dev-python/guessit/guessit-2.1.1.ebuild b/dev-python/guessit/guessit-2.1.1.ebuild
new file mode 100644
index 00000000000..ed9681a99dd
--- /dev/null
+++ b/dev-python/guessit/guessit-2.1.1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python library for guessing information from video filenames"
+HOMEPAGE="https://github.com/guessit-io/guessit https://pypi.python.org/pypi/guessit"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="
+ >=dev-python/babelfish-0.5.5[${PYTHON_USEDEP}]
+ >=dev-python/rebulk-0.8.2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+ test? (
+ >=dev-python/pytest-2.7.3[${PYTHON_USEDEP}]
+ dev-python/pytest-capturelog[${PYTHON_USEDEP}]
+ dev-python/pytest-runner[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ )
+"
+
+python_prepare_all() {
+ # Disable benchmarks as they require unavailable pytest-benchmark.
+ rm guessit/test/test_benchmark.py || die
+ sed -i -e "s|'pytest-benchmark',||g" setup.py || die
+
+ # Disable unconditional dependency on dev-python/pytest-runner.
+ sed -i -e "s|'pytest-runner'||g" setup.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ esetup.py test
+}